package org.dromara.payment.channel.service;

import org.dromara.payment.channel.domain.BusChannelSalesman;
import org.dromara.payment.channel.domain.vo.BusChannelSalesmanVo;
import org.dromara.payment.channel.domain.bo.BusChannelSalesmanBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 代理商业务员Service接口
 *
 * @author LionLi
 * @date 2024-04-10
 */
public interface IBusChannelSalesmanService {



    TableDataInfo<BusChannelSalesmanVo>    selectSaleMans(BusChannelSalesmanBo bo, PageQuery pageQuery);
    /**
     * 查询代理商业务员
     */
    BusChannelSalesmanVo queryById(Long id);

    /**
     * 查询代理商业务员列表
     */
    TableDataInfo<BusChannelSalesmanVo> queryPageList(BusChannelSalesmanBo bo, PageQuery pageQuery);

    /**
     * 查询代理商业务员列表
     */
    List<BusChannelSalesmanVo> queryList(BusChannelSalesmanBo bo);

    /**
     * 新增代理商业务员
     */
    Boolean insertByBo(BusChannelSalesmanBo bo);

    /**
     * 修改代理商业务员
     */
    Boolean updateByBo(BusChannelSalesmanBo bo);

    /**
     * 校验并批量删除代理商业务员信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
